package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description RepalDynamic实体对象
 * @author Generator
 * @date 2022-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_DYNAMIC")
@ApiModel(value="RepalDynamic实体对象", description="催款动态")
public class RepalDynamic implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "成员id")
    @TableField("MEMBER_ID")
    private Long memberId;

    @ApiModelProperty(value = "账款id")
    @TableField("REPAL_BILL_ID")
    private Long repalBillId;

    @ApiModelProperty(value = "动态类型 1短信 2律师函 3咨询 4诉讼 5其他")
    @TableField("DYNAMIC_TYPE")
    private Integer dynamicType;

    @ApiModelProperty(value = "动态内容")
    @TableField("DYNAMIC_DESC")
    private String dynamicDesc;

    @ApiModelProperty(value = "动态时间")
    @TableField("TIME_CREATED")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "联系人")
    @TableField("LINK_MAN")
    private String linkMan;

    @ApiModelProperty(value = "律师服务id")
    @TableField("LAWYER_SERVICE_ID")
    private Long lawyerServiceId;


}
