package com.winhc.repal.enums;

/**
 * @Description: RepalBillTypeEnum
 * @Author: xda
 * @Date: 2022/4/14 17:03
 */
public enum RepalBillTypeEnum {

    /**
     *  账款类型
     */
    RECEIVABLE(1, "应收"),
    RECEIPT(2, "应付");

    private final Integer code;

    private final String desc;

    RepalBillTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getDesc() {
        return this.desc;
    }

}
