package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: HomeReceivableVO
 * @Author: xda
 * @Date: 2022/5/6 18:14
 */
@Data
@ApiModel("首页应收/应付vo")
public class HomeReceivableVO {

    @ApiModelProperty("应收/应付金额，string")
    private String totalMoneyStr;

    @ApiModelProperty("应收/应付数量")
    private Integer totalCount;

    @ApiModelProperty("已逾期金额，string")
    private String overdueTotalStr;

    @ApiModelProperty("逾期笔数")
    private Integer overdueTotalCount;

    @ApiModelProperty("逾期比例")
    private String overdueRate;

    @ApiModelProperty("总账款金额，string")
    private String totalBillMoneyStr;

    @ApiModelProperty("已收/已付金额，string")
    private String receivableStr;


}
