package com.winhc.repal.enums;

/**
 * @Description: DiagnosisStatusEnum
 * @Author: xda
 * @Date: 2022/4/14 16:39
 */
public enum DiagnosisStatusEnum {

    /**
     *  评估状态：0诊断中；1诊断完成；9诊断失败
     */
    DIAGNOSIS_ING(0, "诊断中"),
    DIAGNOSIS_SUCCESS(1, "诊断完成"),
    DIAGNOSIS_FAIL(9, "诊断失败");

    private final Integer code;

    private final String msg;

    DiagnosisStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }
}
