package com.winhc.repal.model.vo;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description RepalCustomer VO对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@Accessors(chain = true)
@ApiModel("回款宝客户")
public class RepalCustomerInfoVO {

    @ApiModelProperty(value = "客户id")
    private Long custId;

    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "1客户  2供应商")
    private Integer custType;

    @ApiModelProperty("关联账款数量")
    private Integer repalBillCount;

    @ApiModelProperty(value = "账款总金额")
    private String totalMoneyStr;

    @ApiModelProperty(value = "待收/待付金额")
    private String receivableStr;

    @ApiModelProperty(value = "负责人")
    private List<RepalGroupMemberVO> charges;

    @ApiModelProperty("未读动态数量依次是 逾期 风险预警 评级 财产")
    private List<Integer> dynamicCountList;
}
