package com.winhc.repal.service;

import com.winhc.repal.entity.RepalRemindReadInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.model.bo.BookDynamicCountBO;
import com.winhc.repal.model.bo.UserBillUnreadInfoBO;

import java.util.List;


/**
 * @description RepalRemindReadInfo 接口类
 * @author Generator
 * @date 2022-04-27
 */
public interface RepalRemindReadInfoService extends IService<RepalRemindReadInfo> {
    /**
     * 根据userId查询动态已读情况
     * @param userId
     * @return
     */
    RepalRemindReadInfo getReadInfoByUserId(Long userId,Long repalBillId,Long repalBookId);

    /**
     * 更新已读状态
     * @param userId
     */
    void updateReadInfoByUserId(Long userId,String trendType,Long repalBillId,Long repalBookId);


//    /**
//     * 批量获取用户各种未读数量
//     * @param userId userId
//     * @param repalBillIdList repalBillIdList
//     * @return java.util.List<com.winhc.repal.model.bo.UserBillUnreadInfoBO>
//     * @author xda
//     * @date 2022/4/30 10:03
//     */
//    List<UserBillUnreadInfoBO> getUserBillUnreadInfo(Long userId, List<Long> repalBillIdList);



}
